// (C)2019 Essigstudios Austria, All rights reserved.

using System;

using Essigstudios.Graphics;

namespace ConsoleEngineExample
{
    class Program
    {
        public static void Main()
        {
            ConsoleEngineCLR engine = new ConsoleEngineCLR();

            for (float x = 0, y = 0; y < 1000; y += 1f, x += 0.05f)
            {
                engine.RenderToConsole((int)y, (int)(220 + 25 * Math.Sin(x)), 255, 0, 0);
            }

            Console.ReadKey(true);
        }
    }
}